curl -X POST "https://heimdall.qa.zoniqx.com/users" \
-H "Authorization: Bearer <accessToken>" \
-H "x-tenant-id: <your-tenant-id>" \
-H "Content-Type: application/json" \
-d '{
"signedChallenge": {
"firstFactorCredential": {
"credentialKind": "Key",
"credentialInfo": {
"credId": "string",
"clientData": "string",
"attestationData": "string"
}
},
"secondFactorCredential": {
"credentialKind": "Key",
"credentialInfo": {
"credId": "string",
"clientData": "string",
"attestationData": "string"
}
},
"recoveryCredential": {
"credentialKind": "RecoveryKey",
"credentialInfo": {
"credId": "string",
"clientData": "string",
"attestationData": "string"
},
"encryptedPrivateKey": "string"
}
},
"tempAuthToken": "string"
}'const response = await fetch("https://heimdall.qa.zoniqx.com/users", {
method: "POST",
headers: {
"Authorization": "Bearer <accessToken>",
"x-tenant-id": "<your-tenant-id>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"signedChallenge": {
"firstFactorCredential": {
"credentialKind": "Key",
"credentialInfo": {
"credId": "string",
"clientData": "string",
"attestationData": "string"
}
},
"secondFactorCredential": {
"credentialKind": "Key",
"credentialInfo": {
"credId": "string",
"clientData": "string",
"attestationData": "string"
}
},
"recoveryCredential": {
"credentialKind": "RecoveryKey",
"credentialInfo": {
"credId": "string",
"clientData": "string",
"attestationData": "string"
},
"encryptedPrivateKey": "string"
}
},
"tempAuthToken": "string"
}),
});
const data = await response.json();type UsersController_createUserResponse = Record<string, unknown>;
const response = await fetch("https://heimdall.qa.zoniqx.com/users", {
method: "POST",
headers: {
Authorization: "Bearer <accessToken>",
"x-tenant-id": "<your-tenant-id>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"signedChallenge": {
"firstFactorCredential": {
"credentialKind": "Key",
"credentialInfo": {
"credId": "string",
"clientData": "string",
"attestationData": "string"
}
},
"secondFactorCredential": {
"credentialKind": "Key",
"credentialInfo": {
"credId": "string",
"clientData": "string",
"attestationData": "string"
}
},
"recoveryCredential": {
"credentialKind": "RecoveryKey",
"credentialInfo": {
"credId": "string",
"clientData": "string",
"attestationData": "string"
},
"encryptedPrivateKey": "string"
}
},
"tempAuthToken": "string"
}),
});
const data: UsersController_createUserResponse = await response.json();import requests
url = "https://heimdall.qa.zoniqx.com/users"
headers = {
"Authorization": "Bearer <accessToken>",
"x-tenant-id": "<your-tenant-id>",
}
payload = {
"signedChallenge": {
"firstFactorCredential": {
"credentialKind": "Key",
"credentialInfo": {
"credId": "string",
"clientData": "string",
"attestationData": "string"
}
},
"secondFactorCredential": {
"credentialKind": "Key",
"credentialInfo": {
"credId": "string",
"clientData": "string",
"attestationData": "string"
}
},
"recoveryCredential": {
"credentialKind": "RecoveryKey",
"credentialInfo": {
"credId": "string",
"clientData": "string",
"attestationData": "string"
},
"encryptedPrivateKey": "string"
}
},
"tempAuthToken": "string"
}
response = requests.post(url, headers=headers, json=payload)
data = response.json()